Loading...
Searching...
No Matches
OgreTrays.h File Reference
`#include "OgreBitesPrerequisites.h"`
`#include "OgreOverlay.h"`
`#include "OgreOverlaySystem.h"`
`#include "OgreOverlayManager.h"`
`#include "OgreBorderPanelOverlayElement.h"`
`#include "OgreTextAreaOverlayElement.h"`
`#include "OgreFontManager.h"`
`#include "OgreTimer.h"`
`#include "OgreRoot.h"`
`#include "OgreCamera.h"`
`#include "OgreRenderWindow.h"`
`#include "OgreInput.h"`
`#include <iomanip>`

## Classes

class | OgreBites::Button
| Basic button class. More...
class | OgreBites::CheckBox
| Basic check box widget. More...
class | OgreBites::DecorWidget
| Custom, decorative widget created from a template. More...
class | OgreBites::Label
| Basic label widget. More...
class | OgreBites::ParamsPanel
| Basic parameters panel widget. More...
class | OgreBites::ProgressBar
| Basic progress bar widget. More...
class | OgreBites::SelectMenu
| Basic selection menu widget. More...
class | OgreBites::Separator
| Basic separator widget. More...
class | OgreBites::Slider
| Basic slider widget. More...
class | OgreBites::TextBox
| Scrollable text box widget. More...
class | OgreBites::TrayListener
| Listener class for responding to tray events. More...
class | OgreBites::TrayManager
| Main class to manage a cursor, backdrop, trays and widgets. More...
class | OgreBites::Widget
| Abstract base class for all widgets. More...

## Namespaces

namespace | OgreBites

## Typedefs

typedef std::vector< Widget * > | OgreBites::WidgetList

## Enumerations

enum | OgreBites::ButtonState { OgreBites::BS_UP , OgreBites::BS_OVER , OgreBites::BS_DOWN }
| enumerator values for button states More...
enum | OgreBites::TrayLocation { OgreBites::TL_TOPLEFT , OgreBites::TL_TOP , OgreBites::TL_TOPRIGHT , OgreBites::TL_LEFT , OgreBites::TL_CENTER , OgreBites::TL_RIGHT , OgreBites::TL_BOTTOMLEFT , OgreBites::TL_BOTTOM , OgreBites::TL_BOTTOMRIGHT , OgreBites::TL_NONE }
| enumerator values for widget tray anchoring locations More...